@echo off
REM %1  Hard Disk drive letter 

if %1a==%1%1a goto error
if not exist %1:\classic\*.* goto error

:start
cls

echo.
echo.
echo Which products would you like to remove?
echo.
echo  1. Remove Bill & Ted's Excellent Adventure from hard drive
echo  2. Remove The Savage Empire from hard drive
echo  3. Remove Zak McKracken And The Alien Mindbenders from hard drive
echo  4. Remove Maniac Mansion from hard drive
echo  5. Remove ALL products from hard drive
echo  6. Exit
echo.
echo   Enter an option (1-6)
query

if ERRORLEVEL 6 goto end
if ERRORLEVEL 5 goto all
if ERRORLEVEL 4 goto maniac
if ERRORLEVEL 3 goto zak
if ERRORLEVEL 2 goto savage
if ERRORLEVEL 1 goto bill

echo Error!  Error!   Input not 1-6 try again
pause
goto start

:bill
echo Removing   Bill & Ted's Excellent Adventure
if exist %1:\classic\csbill\*.* del %1:\classic\csbill\*.*
if exist %1:\classic\csbill\nul rd %1:\classic\csbill
goto start

:savage
echo Removing   The Savage Empire
if exist %1:\classic\cssavage\savegame\nul del %1:\classic\cssavage\savegame\*.*
if exist %1:\classic\cssavage\savegame\nul rd %1:\classic\cssavage\savegame
if exist %1:\classic\cssavage\*.* del %1:\classic\cssavage\*.*
if exist %1:\classic\cssavage\nul rd %1:\classic\cssavage
goto start

:zak
echo Removing   Zak McKracken And The Alien Mindbenders
if exist %1:\classic\cszak\*.* del %1:\classic\cszak\*.*
if exist %1:\classic\cszak\nul rd %1:\classic\cszak
goto start

:maniac
echo Removing   Maniac Mansion
if exist %1:\classic\csmaniac\*.* del %1:\classic\csmaniac\*.*
if exist %1:\classic\csmaniac\nul rd %1:\classic\csmaniac
goto start


:all
echo Removing   Bill & Ted's Excellent Adventure
if exist %1:\classic\csbill\*.* del %1:\classic\csbill\*.*
if exist %1:\classic\csbill\nul rd %1:\classic\csbill

echo Removing   The Savage Empire
if exist %1:\classic\cssavage\savegame\nul del %1:\classic\cssavage\savegame\*.*
if exist %1:\classic\cssavage\savegame\nul rd %1:\classic\cssavage\savegame
if exist %1:\classic\cssavage\*.* del %1:\classic\cssavage\*.*
if exist %1:\classic\cssavage\nul rd %1:\classic\cssavage

echo Removing   Zak McKracken And The Alien Mindbenders
if exist %1:\classic\cszak\*.* del %1:\classic\cszak\*.*
if exist %1:\classic\cszak\nul rd %1:\classic\cszak

echo Removing   Maniac Mansion
if exist %1:\classic\csmaniac\*.* del %1:\classic\csmaniac\*.*
if exist %1:\classic\csmaniac\nul rd %1:\classic\csmaniac

goto end


:error
echo.
echo.
echo Invalid Hard Drive Letter - %1
echo.
echo     usage:  remprods [hard drive]
echo                hard drive - letter of drive where Classic Collection
echo                             has been installed
echo   example:  remprods c
echo.
echo.


:end
